Package org.apache.tools.ant.types.optional.imageio

## Class TransformOperation

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.optional.imageio.ImageOperation
      - - org.apache.tools.ant.types.optional.imageio.TransformOperation

All Implemented Interfaces:
  `java.lang.Cloneable`

Direct Known Subclasses:
  `Draw`, `Rotate`, `Scale`

    public abstract class TransformOperation
    extends ImageOperation

See Also:
  `ImageIOTask`

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

`instructions`

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`TransformOperation()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract java.awt.image.BufferedImage` `executeTransformOperation​(java.awt.image.BufferedImage img)` Performs the transformations.

### Methods inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

`addDraw, addRotate, addScale`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransformOperation

    public TransformOperation()

### Method Detail

#### executeTransformOperation

    public abstract java.awt.image.BufferedImage executeTransformOperation​(java.awt.image.BufferedImage img)

Performs the transformations.

Parameters:
  `img` - The image to perform the transformation on.
Returns:
  the transformed image.